﻿#language: ru

@quality_control

Функционал: 03_quality_control. Сводный отчет по показателям  складов

Сценарий: 03_quality_control. Дополнительная регистрация показателей по Сырцеху
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Регистрации показателей по складам'
	Тогда открылось окно 'Регистрации показателей по складам'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Регистрация показателей по складам (создание)'
	И я нажимаю кнопку выбора у поля "Вид показателя"
	Тогда открылось окно 'Виды показателей складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Солилка'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей по складам (создание) *'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей по складам (создание) *'
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'   | 'Соответствует нормативу' |
		| 'Температура'  | 'Нет'                     |
	И в таблице "Показатели" в поле 'Значение показателя' я ввожу текст '2,000'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'   | 'Соответствует нормативу' |
		| 'Номер пресса' | 'Нет'                     |
	И в таблице "Показатели" из выпадающего списка "Значение показателя" я выбираю точное значение '1'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Регистрация показателей по складам (создание) *' в течение 20 секунд
	Тогда открылось окно 'Регистрации показателей по складам'
	И Я закрываю окно 'Регистрации показателей по складам'

Сценарий: 03_quality_control. Сводный отчет по показателям  складов
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Отчет по показателям складов"
	Тогда открылось окно 'Отчет по показателям складов'
	И я нажимаю на кнопку с именем 'ВыбратьПериод1'
	Тогда открылось окно 'Выберите период'
	И я нажимаю на гиперссылку "SwitchText"
	И я перехожу к закладке "Group standard period"
	И я нажимаю на кнопку 'Год'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Отчет по показателям складов'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'          | 'Период: 01.01.* - 31.12.*'       | ''         | ''    | ''                        | ''              |
		| ''                    | ''                                | ''         | ''    | ''                        | ''              |
		| 'Склад'               | 'Значение'                        | 'Норматив' | ''    | ''                        | 'Ответственный' |
		| 'Дата'                | ''                                | 'От'       | 'До'  | 'Соответствует нормативу' | ''              |
		| 'Вид показателя'      | ''                                | ''         | ''    | ''                        | ''              |
		| 'Показатель'          | ''                                | ''         | ''    | ''                        | ''              |
		| 'Бассейн соления'     | ''                                | ''         | ''    | ''                        | ''              |
		| '*'                   | ''                                | ''         | ''    | ''                        | ''              |
		| 'Солилка'             | ''                                | ''         | ''    | ''                        | ''              |
		| 'Аварии'              | 'X'                               | ''         | ''    | ''                        | 'qual_Лаборант' |
		| 'Давление'            | ''                                | '12'       | '335' | ''                        | 'qual_Лаборант' |
		| 'Номер пресса'        | '2'                               | ''         | ''    | ''                        | 'qual_Лаборант' |
		| 'Температура'         | '1,500'                           | ''         | ''    | ''                        | 'qual_Лаборант' |
		| 'Камера созревания 1' | ''                                | ''         | ''    | ''                        | ''              |
		| '*'                   | ''                                | ''         | ''    | ''                        | ''              |
		| 'Солилка'             | ''                                | ''         | ''    | ''                        | ''              |
		| 'Аварии'              | 'X'                               | ''         | ''    | ''                        | 'qual_Лаборант' |
		| 'Давление'            | '4,000'                           | ''         | ''    | ''                        | 'qual_Лаборант' |
		| 'Номер пресса'        | '3'                               | ''         | ''    | ''                        | 'qual_Лаборант' |
		| 'Температура'         | '5,000'                           | '3'        | '4'   | ''                        | 'qual_Лаборант' |
		| 'Сырцех'              | ''                                | ''         | ''    | ''                        | ''              |
		| '*'                   | ''                                | ''         | ''    | ''                        | ''              |
		| 'Солилка'             | ''                                | ''         | ''    | ''                        | ''              |
		| 'Давление'            | '215,000'                         | ''         | ''    | ''                        | 'qual_Киоск'    |
		| 'Температура'         | '12,000'                          | ''         | ''    | ''                        | 'qual_Киоск'    |
		| '*'                   | ''                                | ''         | ''    | ''                        | ''              |
		| 'Солилка'             | ''                                | ''         | ''    | ''                        | ''              |
		| 'Аварии'              | ''                                | ''         | ''    | ''                        | 'qual_Технолог' |
		| 'Давление'            | ''                                | ''         | ''    | ''                        | 'qual_Технолог' |
		| 'Номер пресса'        | '1'                               | ''         | ''    | ''                        | 'qual_Технолог' |
		| 'Температура'         | '2,000'                           | ''         | ''    | ''                        | 'qual_Технолог' |
		| 'Итого'               | ''                                | ''         | ''    | ''                        | ''              |
	И Я закрываю окно 'Отчет по показателям складов'
	Тогда открылось окно 'Отчеты по производству'
	И Я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control.02.024 Закрытие клиента
	И я закрываю сеанс TESTCLIENT